
From: Ray Bryant <raybry@sgi.com>

It looks like the 2.6.0 lockmeter patch has lost the configuration menu
entry to enable lockmeter on ia64.  This is true of both 2.6.0-test10-mm1
and 2.6.0-test11-mjb3.  (Martin appears to pull this from your tree.) Below
is the trivial patch to fix this.  With this change it appears to work fine
on Altix, at least.



 arch/ia64/Kconfig |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN arch/ia64/Kconfig~lockmeter-ia64-config-fix arch/ia64/Kconfig
--- 25/arch/ia64/Kconfig~lockmeter-ia64-config-fix	2003-12-16 23:11:32.000000000 -0800
+++ 25-akpm/arch/ia64/Kconfig	2003-12-16 23:12:16.000000000 -0800
@@ -670,6 +670,13 @@ config DEBUG_INFO
 	  Say Y here only if you plan to use gdb to debug the kernel.
 	  If you don't debug the kernel, you can say N.
 	  
+config LOCKMETER
+       bool "Kernel lock metering"
+       depends on SMP
+       help
+         Say Y to enable kernel lock metering, which adds overhead to SMP locks,
+         but allows you to see various statistics using the lockstat command.
+
 endmenu
 
 source "security/Kconfig"

_
